summaryrefslogtreecommitdiff
path: root/tests/rm/r-3
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
committerJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
commit112efa81f24ead69a3a9b6ae76f601911535352c (patch)
treedc10a3855c2b2a118ebf08a2df2710377dcff8d7 /tests/rm/r-3
parent11f05299f96e39d58356f83d09811487235c5f4c (diff)
downloadcoreutils-112efa81f24ead69a3a9b6ae76f601911535352c.tar.xz
Replace all occurrences of `(exit N); exit' with
`(exit N); exit N'. Otherwise, those many tests could exit with improper exit status when exiting via e.g., a trapped interrupt. Thanks to a report from Bob Proulx.
Diffstat (limited to 'tests/rm/r-3')
-rwxr-xr-xtests/rm/r-34
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/rm/r-3 b/tests/rm/r-3
index a946df93f..debc80228 100755
--- a/tests/rm/r-3
+++ b/tests/rm/r-3
@@ -35,11 +35,11 @@ cd $pwd || framework_fail=1
if test $framework_fail = 1; then
echo 'failure in testing framework'
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
rm -rf $tmp || fail=1
test -d $tmp && fail=1
-(exit $fail); exit
+(exit $fail); exit $fail